.sso{
    display: flex;
    width: 98%;
    margin: 20px auto;
    height: auto;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.sso #btn_createnew{
    margin: 0;
}

.sso input[type='checkbox']{
    position: relative;
    display: flex;
    -webkit-appearance:none;
    width:55px;
    height:30px;
    padding: 0px 0px;
    border:1px solid rgba(187,187,187,1.00);
    box-shadow: 0px 1px 3px rgba(22,22,22,1.0);
    margin: auto 6px auto 0px;
    background-color:rgba(227,227,227,1.00);
    border-radius: 25px;
}

.sso input[type='checkbox']:before {
    position: absolute;
    content:"";
    top:0px;
    bottom:0px;
    margin: auto 0px;
    width:23px;
    height: 23px;
    left: 10%;
    right:inherit;
    background-color: rgba(142,142,142,1.00);
    box-shadow: inset 0px -10px 5px rgba(207,207,207,1.00); 
    border-radius: 100px;
    transition:all 0.2s;
}

.sso input[type='checkbox']:checked:before {
    position: absolute;
    content:"";
    left: 90%;
    translate: -100% 0px;
    box-shadow: inset 0px -10px 5px rgba(57,203,64,1.00); 
    background-color: lime;
}

.sso label{
    display: flex;
    width:auto;
    height:45px;
    line-height: 45px;
    border-radius: 50px;
    font-size: 13px;
    font-weight: 300;
    padding: 0px 10px;
    box-sizing: border-box;
    background-color:rgba(135,135,135,0.15);
    color:rgba(218,218,218,1.00);
}

#right_slice .contentti #tapahtumat_wrap{
	display: flex;
    flex-direction: column;
	width: 100%;
	height:auto;
    gap:10px 0px;
	padding: 10px 10px; 
	margin: 12px 0px;
	box-sizing: border-box;
	border-radius: 12px;
	background-color: rgba(222,220,220,0.2);
}

#right_slice .contentti #tapahtumat_wrap .rowof2{ 
	display:flex;
	gap:15px;
	flex-direction:row;
	margin: 0;
	padding: 0;
}

#right_slice .contentti #tapahtumat_wrap .row{ 
    position: relative;
	display:flex;
	width:100%;
    flex-direction: row;
	height:auto;
	margin: 0px auto;
	line-height:35px;
	min-height: 45px;
	text-align:left;
    background-color:rgba(234,234,234,1.00);
    border-radius: 15px;
    padding: 10px 20px;
	box-sizing: border-box;
	
 }

#right_slice .contentti #tapahtumat_wrap .row{ 
    
    .aika,
    .nimi,
    .hinta{ 
        position: relative;
        margin:0;
        font-size:13px;
        text-overflow: ellipsis;
        overflow: hidden;
        text-wrap:nowrap;
        color:rgba(65,65,65,1.00);
    }
    
    .aika{ width:100%;}
    .nimi{ width:100%; font-weight: 700; }
    .hinta{ width:100%; text-align: right; }
    
    .pastevent{
        position: absolute;
        top:0px;
        right:0px;
        width:120px;
        height:20px;
        line-height: 20px;
        font-size: 10px;
        letter-spacing: 1px;
        font-weight: 100;
        border-radius: 100px;
        background-color:rgba(171,40,40,1.00);
        box-shadow: inset 0px 5px 2px rgba(202,10,12,1.0);
        text-shadow: 0px 1px 1px black;
        translate: -10px -5px;
        text-align: center;
        color:white;
        z-index: 889;
    }
    
    .repeat{
        position: absolute;
        top:0px;
        right:0px;
        width:120px;
        height:20px;
        line-height: 20px;
        font-size: 10px;
        letter-spacing: 1px;
        font-weight: 100;
        border-radius: 100px;
        background-color:rgba(42,197,232,1.00);
        box-shadow: inset 0px 5px 2px rgba(7,109,201,1.00);
        text-shadow: 0px 1px 1px black;
        translate: -10px -5px;
        text-align: center;
        color:white;
        z-index: 889;
    }
    
}

#edit_event_view{
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    position: fixed;
    top:0px;
    left:0px;
    bottom:0px;
    right:0px;
    width:95%;
    max-width: 900px;
    height:92vh;
    padding:10px min(5%, 50px);
    gap:10px 0px;
    overflow-x: hidden;
    overflow-y: auto;
    box-sizing: border-box;
    box-shadow: 0px 0px 5px black, 0px 0px 30px black;
    background-color:rgba(225,225,225,1.00);
    border-radius: 15px;
    margin: auto;
    z-index: 900;
}

#edit_event_view #oprbtns{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width:100%;
    margin:25px auto;
    height:auto;
}

#edit_event_view h4 {
    position: sticky;
    top:-10px;
    left:0px;
    width:100%;
    text-align: center;
    height: 50px;
    line-height: 50px;
    padding: 0px 0px;
    border-bottom: 1px solid rgba(205,205,205,1.00);
    box-sizing: border-box;
    margin: 0px 0px;
    background-color:rgba(225,225,225,1.00);

}

#edit_event_view #oprbtns button {
    margin:0;
}

#edit_event_view{
    
    .rowof2{
        display: flex;
        width:100%;
        flex-direction:row;
        gap:0px 5px;
    }
    
    .row{
        display: flex;
        width:100%;
        flex-direction:row;
        gap:0px 5px;
    }
    
    input,
    select,
    textarea{
        display: flex;
        width:auto;
        min-width:100%;
        height:45px;
        line-height: 45px;
        font-size: 15px;
        font-weight: 400;
        border-radius: 15px;
        outline:none;
        border:0;
        -webkit-appearance:none;
        padding:0px 20px;
        box-sizing: border-box;
    } 
    
    textarea{
        height:auto;
        line-height: 22px;
        min-height: 100px;
        padding: 15px 15px;
        box-sizing: border-box;
        max-width: 100%;
        min-width: 100%;
        max-height: 500px;
    }
    
    #imgwraps{
        display:flex;
        width:100%;
        height: auto;
        flex-direction: row;
        align-items: center;
        gap:0px 20px;
        margin: 40px 0px;
        justify-content: flex-start;
    }
    
    #imgwraps #imgplaceholder{
        display: flex;
        width: 50%;
        aspect-ratio:1/1;
        margin: 0px 0px;
        background-color: rgba(63,63,63,0.25);
        border-radius: 15px;
    }
    
    #imgwraps #imgplaceholder img{
        width:100%;
        height:100%;
        object-fit: contain;
    }
    
    #imgwraps #loadss {
        display: flex;
        width:50%;
        height:100%;
        gap:10px 0px;
        padding: 20px min(10px, 5%);
        box-sizing: border-box;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        color:rgba(59,59,59,1.00);
    }
    
    @media screen and (max-width: 700px){
        
    
        #imgwraps {
            width:100%;
            margin: 40px auto;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }
        
        #imgwraps #loadss {
            width: 100%;
            align-items: center;
            justify-content: center;
        }
        
    }
    
    
    #imgwraps #loadss h5 {
        width:100%;
        height:auto;
        margin:0px;
        font-size: 15px;
        font-weight: 700;
    }
    
    #imgwraps #mainoskuva{ display:none; }
    
    #imgwraps #loadss p {
        width:100%;
        height:auto;
        margin:0px;
        font-size: 12px;
        line-height: 18px;
        letter-spacing: 1px;
        font-weight: 200;
    }

    #imgwraps #loadss #btn_mainoskuva,
    #imgwraps #loadss #lb_mainoskuva{
        width:auto;
        height:45px;
        line-height: 45px;
        font-size: 16px;
        font-weight: 500;
        padding: 0px 25px;
        box-sizing: border-box;
        margin: 0;
        background-color:rgba(96,168,208,1.00);
        color:white;
        border-radius: 100px;
        
    }

    #imgwraps #loadss #btn_mainoskuva{ display: none; }
    #imgwraps #loadss #lb_mainoskuva{ }

    
}
